package gvprojects.igel;

import gvprojects.igel.model.IgelGameKurmas;
import gvprojects.igel.model.IgelGameParameters;
import gvprojects.igel.presenter.IgelArgernLauncher;
import gvprojects.igel.view.Artist;
import gvprojects.igel.view.IgelViewKurmas;

import java.util.Map;

/**
 * Launch gvprojects.igel.IgelArgern using provided view ({@link gvprojects.igel.view.IgelViewKurmas},
 * presenters ({@link gvprojects.igel.presenter.IgelArgernFullPresenter} and
 * {@link gvprojects.igel.presenter.IgelArgernClickOnly}),
 * and model ({@link gvprojects.igel.model.IgelGameKurmas})
 *
 * @author Zachary Kurmas
 */
// Created  2/14/12 at 2:15 PM
// (C) Zachary Kurmas 2012

public class IgelArgern {

   public static void main(String[] args) {
      Map<String, Artist> artistMap = IgelViewKurmas.defaultArtistMap();

      //TODO:  If you create your own Artists, then set up the mapping between
      //TODO: Cell types and artists here
      // example: artistMap.put("Cell", new CellPanelArtist());

      IgelArgernLauncher.configureAndLaunchGame(new IgelGameParameters(), IgelGameKurmas.class, artistMap);
   }
}
