package gvprojects.igel.view;

import gvprojects.igel.model.ICellState;

import java.awt.*;

/**
 * Draw a {@link gvprojects.igel.model.DeepPitCell}
 * @author Zachary Kurmas
 */
// Created  12/14/11 at 5:03 PM
// (C) Zachary Kurmas 2011

public class DeepPitArtist extends CellPanelArtist {
   public void draw(CellPanel panel, Graphics g, ICellState state) {
      final int borderSize = 10;

      g.setColor(Color.BLACK);
      g.fillRect(0, 0, panel.getWidth(), panel.getHeight());

      g.setColor(Color.RED);
      g.fillRect(0, 0, panel.getWidth(), borderSize);
      g.fillRect(0, panel.getHeight() - borderSize, panel.getWidth(), borderSize);
      g.fillRect(0, 0, borderSize, panel.getHeight());
      g.fillRect(panel.getWidth() - borderSize, 0, borderSize, panel.getHeight());

      super.draw(panel, g, state);
   }
}
