package gvprojects.igel.view;

import javax.swing.*;
import java.awt.*;

/**
 * @author Zachary Kurmas
 */
// Created  12/6/11 at 4:22 PM
// (C) Zachary Kurmas 2011

public class CirclePanel extends JPanel {

   private Color color;

   public CirclePanel(Color color) {
      this.color = color;
      setMinimumSize(new Dimension(100, 100));
   }

   public void paintComponent(Graphics g) {
      super.paintComponent(g);

      g.setColor(Color.black);
      g.fillOval(0, 0, getWidth(), getHeight());

      g.setColor(color);
      g.fillOval(1, 1, getWidth()-1, getHeight()-1);
   }

}
