package gvprojects.igel.view;

import gvprojects.igel.model.ICellState;

import java.awt.*;

/**
 * @author Zachary Kurmas
 */
// Created  12/12/11 at 2:53 PM
// (C) Zachary Kurmas 2011

public class FinishCellArtist extends CellPanelArtist {

    public void draw(CellPanel panel, Graphics g, ICellState state) {

       final int stripe_width = 5;
       final int num_stripes = panel.getWidth() / (5*stripe_width);

       Color[] colors = {Color.BLACK, Color.WHITE};

       for (int y = 0; y < panel.getHeight(); y += stripe_width) {
          int color_index = y % 2;
          for (int x = 0; x < num_stripes; x++) {
             g.setColor(colors[color_index %2]);
             g.fillRect(x*stripe_width, y, stripe_width, stripe_width);
             color_index++;
          }
       }
       super.draw(panel, g, state);
    }
}
