// This class is in the default package to simplify the running of the tests.
// Because


import edu.gvsu.kurmasz.warszawa.dl.SimpleFactory;
import gvprojects.igel.model.IIgelGame;
import gvprojects.igel.model.IgelGameParameters;
import gvprojects.igel.model.IgelGameTest;
import org.junit.internal.TextListener;
import org.junit.runner.JUnitCore;

/**
 * Test a student's implementation of IgelArgern from the command line
 *
 * @author Zachary Kurmas
 */
// Created  2/17/12 at 1:44 PM
// (C) Zachary Kurmas 2012

public class IgelGameTestRunner {

   public static void main(String[] args) {
      if (args.length == 0) {
         System.err.println("Usage:  java -cp igelArgernTester.jar IgelGameTestRunner className");
         System.exit(0);
      }

      SimpleFactory.makeOrQuit(args[0], IIgelGame.class, new IgelGameParameters());


      String className = args[0];
      IgelGameTest.setClass(className);
      JUnitCore core = new JUnitCore();
      core.addListener(new TextListener(System.out));
      core.run(IgelGameTest.class);
   }
}
